<?xml version="1.1" encoding="UTF-8" ?>

<Form version="1.5" maxVersion="1.7" type="org.netbeans.modules.form.forminfo.PanelFormInfo">
  <NonVisualComponents>
    <Container class="javax.swing.JScrollPane" name="jScrollPane3">
      <AuxValues>
        <AuxValue name="autoScrollPane" type="java.lang.Boolean" value="true"/>
      </AuxValues>

      <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
      <SubComponents>
        <Component class="javax.swing.JTextPane" name="jTextPane1">
        </Component>
      </SubComponents>
    </Container>
  </NonVisualComponents>
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="1"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="1"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
  </AuxValues>

  <Layout>
    <DimensionLayout dim="0">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="1" attributes="0">
              <EmptySpace min="-2" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="1" attributes="0">
                  <Component id="pProgress" alignment="0" pref="688" max="32767" attributes="0"/>
                  <Component id="jScrollPane4" alignment="1" pref="688" max="32767" attributes="1"/>
                  <Component id="lToImport" alignment="0" pref="688" max="32767" attributes="2"/>
                  <Component id="jSeparator2" alignment="0" pref="688" max="32767" attributes="2"/>
                  <Component id="lToInstall" alignment="0" min="-2" max="-2" attributes="0"/>
                  <Component id="lDesc" alignment="0" min="-2" max="-2" attributes="0"/>
                  <Component id="jScrollPane1" alignment="0" pref="688" max="32767" attributes="2"/>
                  <Component id="jSeparator1" alignment="0" pref="688" max="32767" attributes="2"/>
                  <Component id="jScrollPane2" alignment="0" pref="688" max="32767" attributes="2"/>
                  <Component id="lBroken" alignment="0" pref="688" max="32767" attributes="2"/>
              </Group>
              <EmptySpace min="-2" max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
    <DimensionLayout dim="1">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="0" attributes="0">
              <Component id="lDesc" min="-2" max="-2" attributes="0"/>
              <EmptySpace min="-2" pref="7" max="-2" attributes="0"/>
              <Component id="lToInstall" min="-2" max="-2" attributes="0"/>
              <EmptySpace min="-2" max="-2" attributes="0"/>
              <Component id="jScrollPane1" pref="123" max="32767" attributes="0"/>
              <EmptySpace min="-2" max="-2" attributes="0"/>
              <Component id="jSeparator1" min="-2" pref="10" max="-2" attributes="0"/>
              <EmptySpace min="-2" max="-2" attributes="0"/>
              <Component id="lToImport" min="-2" max="-2" attributes="0"/>
              <EmptySpace min="-2" max="-2" attributes="0"/>
              <Component id="jScrollPane2" pref="158" max="32767" attributes="0"/>
              <EmptySpace min="-2" max="-2" attributes="0"/>
              <Component id="jSeparator2" min="-2" pref="10" max="-2" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
              <Component id="lBroken" min="-2" max="-2" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
              <Component id="jScrollPane4" pref="75" max="32767" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
              <Component id="pProgress" min="-2" pref="21" max="-2" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
  </Layout>
  <SubComponents>
    <Component class="javax.swing.JLabel" name="lToInstall">
      <Properties>
        <Property name="labelFor" type="java.awt.Component" editor="org.netbeans.modules.form.ComponentChooserEditor">
          <ComponentRef name="lToInstall"/>
        </Property>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="org/netbeans/modules/autoupdate/pluginimporter/Bundle.properties" key="ImportManager.lToInstall.text" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
        </Property>
      </Properties>
    </Component>
    <Container class="javax.swing.JScrollPane" name="jScrollPane1">
      <AuxValues>
        <AuxValue name="autoScrollPane" type="java.lang.Boolean" value="true"/>
      </AuxValues>

      <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
      <SubComponents>
        <Component class="javax.swing.JTable" name="tToInstall">
          <Properties>
            <Property name="model" type="javax.swing.table.TableModel" editor="org.netbeans.modules.form.RADConnectionPropertyEditor">
              <Connection code="getModel (toInstall, checkedToInstall)" type="code"/>
            </Property>
            <Property name="autoResizeMode" type="int" value="4"/>
            <Property name="opaque" type="boolean" value="false"/>
          </Properties>
        </Component>
      </SubComponents>
    </Container>
    <Component class="javax.swing.JLabel" name="lToImport">
      <Properties>
        <Property name="labelFor" type="java.awt.Component" editor="org.netbeans.modules.form.ComponentChooserEditor">
          <ComponentRef name="tToImport"/>
        </Property>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="org/netbeans/modules/autoupdate/pluginimporter/Bundle.properties" key="ImportManager.lToImport.text" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
        </Property>
      </Properties>
    </Component>
    <Container class="javax.swing.JScrollPane" name="jScrollPane2">
      <AuxValues>
        <AuxValue name="autoScrollPane" type="java.lang.Boolean" value="true"/>
      </AuxValues>

      <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
      <SubComponents>
        <Component class="javax.swing.JTable" name="tToImport">
          <Properties>
            <Property name="model" type="javax.swing.table.TableModel" editor="org.netbeans.modules.form.RADConnectionPropertyEditor">
              <Connection code="getModel (toImport, checkedToImport)" type="code"/>
            </Property>
            <Property name="autoResizeMode" type="int" value="4"/>
            <Property name="opaque" type="boolean" value="false"/>
          </Properties>
        </Component>
      </SubComponents>
    </Container>
    <Component class="javax.swing.JLabel" name="lBroken">
      <Properties>
        <Property name="labelFor" type="java.awt.Component" editor="org.netbeans.modules.form.ComponentChooserEditor">
          <ComponentRef name="tpBroken"/>
        </Property>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="org/netbeans/modules/autoupdate/pluginimporter/Bundle.properties" key="ImportManager.lBroken.text" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
        </Property>
      </Properties>
    </Component>
    <Container class="javax.swing.JScrollPane" name="jScrollPane4">
      <AuxValues>
        <AuxValue name="autoScrollPane" type="java.lang.Boolean" value="true"/>
      </AuxValues>

      <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
      <SubComponents>
        <Component class="javax.swing.JTextPane" name="tpBroken">
          <Properties>
            <Property name="editable" type="boolean" value="false"/>
            <Property name="enabled" type="boolean" value="false"/>
            <Property name="opaque" type="boolean" value="false"/>
          </Properties>
        </Component>
      </SubComponents>
    </Container>
    <Component class="javax.swing.JLabel" name="lDesc">
      <Properties>
        <Property name="font" type="java.awt.Font" editor="org.netbeans.modules.form.editors2.FontEditor">
          <FontInfo relative="true">
            <Font bold="true" component="lDesc" property="font" relativeSize="true" size="0"/>
          </FontInfo>
        </Property>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="org/netbeans/modules/autoupdate/pluginimporter/Bundle.properties" key="ImportManager.lDesc.text" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;, {arguments})">
            <Argument index="0" javacode="srcCluster"/>
          </ResourceString>
        </Property>
      </Properties>
    </Component>
    <Component class="javax.swing.JSeparator" name="jSeparator1">
    </Component>
    <Component class="javax.swing.JSeparator" name="jSeparator2">
    </Component>
    <Container class="javax.swing.JPanel" name="pProgress">

      <Layout class="org.netbeans.modules.form.compat2.layouts.DesignGridBagLayout"/>
    </Container>
  </SubComponents>
</Form>
